Bug 507485 - setroubleshoot: SELinux is preventing udevd (udev_t) "read" anon_inodefs_t.
setroubleshoot: SELinux is preventing udevd (udev_t) "read" anon_inodefs_t.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:9faef6c9d5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 19:19 EDT by Tom London
Modified: 2009-06-24 17:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 17:10:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-06-22 19:19:37 EDT
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing udevd (udev_t) "read" anon_inodefs_t.

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

SELinux denied access requested by udevd. It is not expected that this access is
required by udevd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:udev_t:s0-s0:c0.c1023
Target Context                system_u:object_r:anon_inodefs_t:s0
Target Objects                anon_inode [ file ]
Source                        udevd
Source Path                   <Unknown>
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.17-1.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.21.rc0.git18.fc12.x86_64 #1 SMP Sun Jun
                              21 23:40:52 EDT 2009 x86_64 x86_64
Alert Count                   6
First Seen                    Mon 22 Jun 2009 06:41:58 AM PDT
Last Seen                     Mon 22 Jun 2009 07:08:27 AM PDT
Local ID                      738f6707-8023-4d7d-952a-3a19d8eaabf4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1245679707.881:16): avc:  denied  { read } for  pid=179 comm="udevd" path="anon_inode:[signalfd]" dev=anon_inodefs ino=635 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:anon_inodefs_t:s0 tclass=file


audit2allow suggests:

#============= udev_t ==============
allow udev_t anon_inodefs_t:file read;
Comment 1 Tom London 2009-06-22 19:24:42 EDT
This was a test of setroubleshoot-2.2.7-1.fc12.x86_64.

"Submit Bug" now appears to work!

If the above is fixed in selinux-policy-3.6.19-1.fc12.noarch, this can be closed.
Comment 2 Daniel Walsh 2009-06-24 17:10:41 EDT
The interesting thing to see, is whether or not a duplicate bug from another account gets appended to this one.

Note You need to log in before you can comment on or make changes to this bug.